Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.georedundant.management.configuration
Interface GeoRedundantServiceMBean

public interface GeoRedundantServiceMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static String` | `geoSiteId` The local site name.
`static int` | `remoteSiteReachabilityAlarmThreshold` Defines the number of attempts made to reach a remote site before raising an alarm.

Method Summary
`String` | `getGeoSiteId()`
`int` | `getRemoteSiteReachabilityAlarmThreshold()`
`String` | `getSiteAddress(String siteName)` Gets the remote site address identified by site name.
`Set` | `listRemoteSites()` Lists all remote sites.
`void` | `removeSite(String siteName)` Removes the configuration for a remote site
`void` | `setGeoSiteId(String siteName)`
`void` | `setRemoteSiteReachabilityAlarmThreshold(int threshold)`
`void` | `setSiteAddress(String siteName, String address)` Sets the address for a remote site.

Field Detail

### geoSiteId

    public static final String geoSiteId

  The local site name. Value can be any string.

  See Also:
    Constant Field Values

### remoteSiteReachabilityAlarmThreshold

    public static final int remoteSiteReachabilityAlarmThreshold

  Defines the number of attempts made to reach a remote site before raising an alarm.

  See Also:
    Constant Field Values

Method Detail

### getGeoSiteId

    public String getGeoSiteId()

### getRemoteSiteReachabilityAlarmThreshold

    public int getRemoteSiteReachabilityAlarmThreshold()

### getSiteAddress

    public String getSiteAddress(String siteName)

  Gets the remote site address identified by site name.

  Parameters:
    `siteName` - The remote site name.
  Returns:
    remote site address.

### listRemoteSites

    public Set listRemoteSites()

  Lists all remote sites.

  Returns:
    names of all the registered sites.

### removeSite

    public void removeSite(String siteName)
                    throws ManagementException

  Removes the configuration for a remote site

  Parameters:
    `siteName` -
  Throws:
    `ManagementException`

### setGeoSiteId

    public void setGeoSiteId(String siteName)
                      throws ManagementException

  Throws:
    `ManagementException`

### setRemoteSiteReachabilityAlarmThreshold

    public void setRemoteSiteReachabilityAlarmThreshold(int threshold)
                                                 throws ManagementException

  Throws:
    `ManagementException`

### setSiteAddress

    public void setSiteAddress(String siteName,
                               String address)
                        throws InputManagementException

  Sets the address for a remote site.

  Parameters:
    `siteName` - The remote site name. Must be equal to the site name configured on the remote site.
    `address` - The remote site address. Must be a valid JNDI provider URL. Example: t3://host1:port1,host2:port2
  Throws:
    `InputManagementException` - If the site address is invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD